
%global meadversion 7.5.17
%global namedversion 7.5.17.Final-redhat-4
%global meadalpha .Final_redhat_4
%global meadrel .1
%global serial 2

%global fullreltag %{meadalpha}

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without mead

%global jarname wildfly-core-security

%define maven_version 7.5.17.Final-redhat-4

Name:             jboss-as-core-security
Version: %{meadversion}
Release: %{serial}%{meadalpha}%{meadrel}%{?dist}
Summary:          JBoss AS Core Security Module
Group:            Development/Libraries

%if %with mead
Source102: wildfly-core-security-parent-7.5.17.Final-redhat-4.pom
Source103: wildfly-core-security-api-7.5.17.Final-redhat-4-sources.jar
Source104: wildfly-core-security-api-7.5.17.Final-redhat-4.pom
Source105: wildfly-core-security-api-7.5.17.Final-redhat-4.jar
Source106: wildfly-picketlink-7.5.17.Final-redhat-4.pom
Source107: wildfly-picketlink-7.5.17.Final-redhat-4-sources.jar
Source108: wildfly-picketlink-7.5.17.Final-redhat-4.jar
Source109: wildfly-core-security-7.5.17.Final-redhat-4.pom
Source110: wildfly-core-security-7.5.17.Final-redhat-4.jar
Source111: wildfly-core-security-7.5.17.Final-redhat-4-sources.jar
Source112: wildfly-patching-7.5.17.Final-redhat-4.jar
Source113: wildfly-patching-7.5.17.Final-redhat-4-tests.jar
Source114: wildfly-patching-7.5.17.Final-redhat-4.pom
Source115: wildfly-patching-7.5.17.Final-redhat-4-sources.jar
%endif

License:          LGPLv2+
URL:              https://github.com/jbossas/jboss-as

BuildArch:        noarch
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:    jpackage-utils

Requires:         jpackage-utils
Requires:         java

%description
This package contains the JBoss AS Core Security Module.

%prep

%build

%install
# JARs
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jbossas
cp -p %{_sourcedir}/%{jarname}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jbossas/%{jarname}.jar
cp -p %{_sourcedir}/%{jarname}-%{namedversion}-sources.jar $RPM_BUILD_ROOT%{_javadir}/jbossas/%{jarname}-sources.jar
cp -p %{_sourcedir}/%{jarname}-api-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jbossas/%{jarname}-api.jar
cp -p %{_sourcedir}/%{jarname}-api-%{namedversion}-sources.jar $RPM_BUILD_ROOT%{_javadir}/jbossas/%{jarname}-api-sources.jar

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 %{_sourcedir}/%{jarname}-%{namedversion}.pom $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jbossas-%{jarname}.pom
install -pm 644 %{_sourcedir}/%{jarname}-api-%{namedversion}.pom $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jbossas-%{jarname}-api.pom

# DEPMAP
%add_maven_depmap JPP.jbossas-%{jarname}.pom jbossas/%{jarname}.jar
%add_maven_depmap JPP.jbossas-%{jarname}-api.pom jbossas/%{jarname}-api.jar

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}*/*


%changelog
* Mon Aug 14 2017 Neil Wallace <nwallace@redhat.com> - 7.5.17-2.Final_redhat_4.1
- EAP 6.4.17 CR4

* Tue Aug 01 2017 Neil Wallace <nwallace@redhat.com> - 7.5.17-1.Final_redhat_3.1
- EAP 6.4.17 CR3

* Tue Jun 06 2017 Neil Wallace <nwallace@redhat.com> - 7.5.16-1.Final_redhat_1.1
- EAP 6.4.16 CR1

* Wed May 03 2017 Neil Wallace <nwallace@redhat.com> - 7.5.15-1.Final_redhat_3.1
- EAP 6.4.15 CR3

* Fri Mar 10 2017 Neil Wallace <nwallace@redhat.com> - 7.5.14-2.Final_redhat_2.1
- EAP 6.4.14 CR2

* Tue Feb 21 2017 Neil Wallace <nwallace@redhat.com> - 7.5.14-1.Final_redhat_1.1
- EAP 6.4.14 CR1

* Tue Jan 17 2017 Neil Wallace <nwallace@redhat.com> - 7.5.13-2.Final_redhat_2.1
- EAP 6.4.13 CR2 

* Thu Jan 05 2017 Neil Wallace <nwallace@redhat.com> - 7.5.13-1.Final_redhat_1.1
- EAP 6.4.13 CR1

* Thu Nov 10 2016 Neil Wallace <nwallace@redhat.com> - 7.5.12-1.Final_redhat_1.1
- EAP 6.4.12 CR1

* Wed Sep 28 2016 Neil Wallace <nwallace@redhat.com> - 7.5.11-1.Final_redhat_1.1
- EAP 6.4.11 CR1

* Mon Aug 22 2016 Neil Wallace <nwallace@redhat.com> - 7.5.10-1.Final_redhat_2.1
- EAP 6.4.10 CR2

* Wed Jun 29 2016 Neil Wallace <nwallace@redhat.com> - 7.5.9-2.Final_redhat_2.1
- EAP 6.4.9 CR2

* Mon Jun 20 2016 Neil Wallace <nwallace@redhat.com> - 7.5.9-1.Final_redhat_1.1
- EAP 6.4.9 CR1

* Sun May 01 2016 Neil Wallace <nwallace@redhat.com> - 7.5.8-1.Final_redhat_2.1
- EAP 6.4.8 CR2

* Tue Mar 15 2016 Neil Wallace <nwallace@redhat.com> - 7.5.7-2.Final_redhat_3.1
- EAP 6.4.7 CR3

* Fri Feb 26 2016 Neil Wallace <nwallace@redhat.com> - 7.5.7-1.Final_redhat_2.1
- EAP 6.4.7 CR2

* Thu Jan 14 2016 Neil Wallace <nwallace@redhat.com> - 7.5.6-1.Final_redhat_2.1
- EAP 6.4.6 CR2

* Thu Nov 19 2015 Neil Wallace <nwallace@redhat.com> - 7.5.5-2.Final_redhat_3.1
- EAP 6.4.5 CR3

* Thu Nov 12 2015 Neil Wallace <nwallace@redhat.com> - 7.5.5-1.Final_redhat_2.1
- EAP 6.4.5 CR2

* Fri Oct 02 2015 Neil Wallace <nwallace@redhat.com> - 7.5.4-2.Final_redhat_4.1
- EAP 6.4.4 CR4

* Tue Sep 22 2015 Neil Wallace <nwallace@redhat.com> - 7.5.4-1.Final_redhat_3.1
- EAP 6.4.4 CR3 

* Wed Aug 05 2015 Fernando Nasser <fnasser@redhat.com> - 7.5.3-1.Final_redhat_2.1
- EAP 6.4.3 CR2

* Mon Jun 29 2015 Fernando Nasser <fnasser@redhat.com> - 7.5.2-2.Final_redhat_2.1
- EAP 6.4.2 CR2

* Thu Jun 18 2015 Fernando Nasser <fnasser@redhat.com> - 7.5.2-1.Final_redhat_1.1
- EAP 6.4.2 CR1

* Tue May 26 2015 Fernando Nasser <fnasser@redhat.com> - 7.5.1-2.Final_redhat_3.1
- EAP 6.4.1 CR3

* Thu May 07 2015 Fernando Nasser <fnasser@redhat.com> - 7.5.1-1.Final_redhat_2.1
- EAP 6.4.1 CR2

* Fri Mar 27 2015 Fernando Nasser <fnasser@redhat.com> - 7.5.0-8.Final_redhat_21.1
- EAP 6.4.0 CR2

* Thu Mar 12 2015 Fernando Nasser <fnasser@redhat.com> - 7.5.0-7.Final_redhat_20.1
- EAP 6.4.0 CR1

* Wed Feb 25 2015 Fernando Nasser <fnasser@redhat.com> - 7.5.0-6.Final_redhat_19.1
- EAP 6.4.0 ER3

* Thu Feb 05 2015 Hui Wang <huwang@redhat.com> - 7.5.0-5.Final_redhat_18.1
- EAP 6.4.0 ER2

* Thu Jan 08 2015 Fernando Nasser <fnasser@redhat.com> - 7.5.0-4.Final_redhat_17.1
-

* Tue Dec 09 2014 Fernando Nasser <fnasser@redhat.com> - 7.5.0-3.Final_redhat_15.1
-

* Tue Nov 18 2014 Fernando Nasser <fnasser@redhat.com> - 7.5.0-2.Final_redhat_12.1
-

* Wed Sep 24 2014 Fernando Nasser <fnasser@redhat.com> - 7.5.0-1.Final_redhat_3.1
- EAP 6.4.0 DR3

* Tue Sep 09 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.1-2.Final_redhat_3.1
- EAP 6.3.1 CR2 Rebuild

* Wed Aug 27 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 7.4.1-1.Final_redhat_2.1
- EAP 6.3.1 CR1 Rebuild

* Mon Jul 14 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 7.4.0-15.Final_redhat_19.1
- EAP 6.3.0 ER10

* Thu Jul 03 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 7.4.0-14.Final_redhat_18.1
- EAP 6.3.0 ER9

* Thu Jul 03 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 7.4.0-13.Final_redhat_18.1
- EAP 6.3.0 ER9

* Wed Jun 18 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 7.4.0-12.Final_redhat_17.1
- EAP 6.3.0 ER8

* Thu Jun 05 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 7.4.0-11.Final_redhat_15.1
- EAP 6.3.0 ER7

* Wed Jun 04 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 7.4.0-10.Final_redhat_14.1
- EAP 6.3.0 ER6

* Tue May 20 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 7.4.0-9.Final_redhat_13.1
- EAP 6.3.0 ER5

* Wed May 07 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 7.4.0-8.Final_redhat_12.1
- EAP 6.3.0 ER4

* Thu Apr 17 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 7.4.0-7.Final_redhat_10.1
- EAP 6.3.0 ER2 respin

* Tue Apr 15 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 7.4.0-6.Final_redhat_9.1
- EAP 6.3.0 ER2

* Thu Apr 03 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 7.4.0-5.Final_redhat_8.1
- EAP 6.3.0 ER1 new commitId

* Wed Apr 02 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 7.4.0-4.Final_redhat_7.1
- Rebuild for EAP 6.3.0 ER1

* Mon Mar 31 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.0-3.Final_redhat_6.1
- New api artifact added

* Mon Mar 31 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.0-2.Final_redhat_6.1
- EAP 6.3.0 ER1

* Fri Mar 28 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.0-x.Final_redhat_61.1
- EAP 6.3.0 ER1

* Thu Nov 21 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-7.Final_redhat_14.1
- Rebuild for 6.2.CR3

* Thu Nov 21 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-7.Final_redhat_14.1
- Rebuild for 6.2.CR3

* Mon Nov 18 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-6.Final_redhat_13.1
- Rebuild for 6.2.CR2

* Mon Nov 18 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-6.Final_redhat_13.1
- Rebuild for 6.2.CR2

* Wed Oct 30 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-5.Final_redhat_10.1
- EAP 6.2.0 ER7

* Fri Oct 18 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-4.Final_redhat_9.2
- EAP 6.2.0 ER6

* Mon Oct 07 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-3.Final_redhat_8.1
- EAP 6.2.0 ER5

* Tue Sep 24 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-2.Final_redhat_6.1
- EAP 6.2.0 ER3

* Mon Sep 23 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-1.Final_redhat_4.2
- EAP 6.2.0 ER2

* Mon Sep 23 2013 Fernando Nasser <fnasser@redhat.com> 7.3.0
- Wrap MEAD build for EAP 6.2

